Subject: [PATCH] ARM: mvebu: dove: Relicense the device tree under GPLv2+/X11

From: [email-masked] (Sebastian Hesselbarth)
Date: Tue, 28 Apr 2015 18:35:00 +0200

On 28.04.2015 17:59, Russell King - ARM Linux wrote:
> On Mon, Apr 27, 2015 at 11:09:04AM +0200, Sebastian Hesselbarth wrote:
>> The current implicit GPL only licensing on the device tree makes it
>> very impractical for other software components licensed under another
>> license.
>>
>> In order to make it easier for them to reuse our device trees,
>> relicense our device trees under a GPL/X11 dual-license.
>>
[...]
>> so I decided to keep the whole relicensing in a single patch. Please send
>> your Acked-by's in reply to this patch if you are happy with the relicensing.
>
> I normally don't include the "or later version" for my license changes
> as I've only accepted to contribute under the terms of GPLv2.

Ok, I guess this is a NACK for GPLv2+ but an Acked-by if we limit the
GPL part to GPLv2 only?

If so, is everybody else who already Acked the GPLv2+ part also fine
with reducing the GPL version to "version 2 only" ?

Sebastian